Bug 57362 - default handler for application/postscript is lpr
default handler for application/postscript is lpr
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: mailcap (Show other bugs)
7.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-10 15:42 EST by Boris Zbarsky
Modified: 2014-03-16 22:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-10 15:42:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Boris Zbarsky 2001-12-10 15:42:25 EST
Description of problem:

The default /etc/mailcap installed with RedHat 7.2 (and 6.2) has:

application/postscript ; lpr %s \; \
    echo SENT FILE TO PRINTER ; \
    description="A Postscript File"; \
    compose="getfilename Postscript %s"

This is a very poor default since

1)  Printing is often not set up correctly
2)  People usually want to _see_ the file before printing it

Having gv or ghostview as the default application would make a lot more sense.
Comment 1 Bill Nottingham 2001-12-13 12:43:21 EST
Fixed in 2.1.9-1.

Note You need to log in before you can comment on or make changes to this bug.